
/**
 * Class for menage SPARQL requests
 * @property {String}                endPoint             List of monarch informations
 */
RequestLauncher = function()
{
	this.endPoint = "https://query.wikidata.org/sparql";
};

/**
 * Launch a request
 * @param {String}                  request             The request to be launched
 * @param {Function}                callback            The callback
 */
RequestLauncher.prototype.launch = function(request, callback)
{
  var me = this;
  
  let queryURL = me.endPoint + "?" + "query="+escape(request) + "&format=json";

  // launch the query
  let ajaxRequest = $.ajax({
    url:queryURL,
    dataType: 'json'
  });

  ajaxRequest.fail(function()
  {
    // if the request fails, return to menu
    console.log("EndPoint : " + me.endPoint);
    console.log("Query : " + request);
    alert("Data Recovery Failure");
    
    callback(null);
  });

  ajaxRequest.done(function(data)
  {
    callback(data);
  });
};